<!-- <div [hidden]="!showSpinner">
    <app-spinner></app-spinner>
</div> -->
<div id="loans-mobile-detail">
    <div class="mobile-main-header">
        <div class="header-navigate pull-left">
            <a (click)="navigateToLanding()"><i class="navigate-back fa fa-chevron-left"></i></a>
        </div>
        <div class="header-title"><h5 style="padding-right:12px">LOAN DETAILS</h5></div>
    </div>
    <br />
    <div *ngIf="!isDetail" class="row clearfix">
        <div class="col-sm-12">
            <div class="control-group">
                <div class="form-group floating-label-form-group controls mb-0 pb-2">
                    <input type="text" [(ngModel)]="model.LoanId" placeholder="Loan Id" class="form-control">
                </div>
            </div>
            <div class="form-group btn-group">
                <button type="button" (click)="search()" class="btn btn-md btn-primary col-sm-12">
                    <i class="fa fa-search"></i> Search
                </button>
            </div>
        </div>
    </div>
    <div id="loan-preview">
        <div *ngIf="!withData" class="row clearfix col-sm-12">No Records Found...</div>
        <div [ngClass]="hidden">
            <div class="row clearfix">
                <div class="col-sm-12">
                    <div class="row">
                        <div class="info-banner col-sm-12" style="text-align: center;">
                            <div *ngIf="model.StatusId === 4" class="alert alert-primary">
                                Not Confirmed
                            </div>
                            <div *ngIf="model.StatusId === 1" class="alert alert-info">
                                Confirmed & Active
                            </div>
                            <div *ngIf="model.StatusId === 2" class="alert alert-success">
                                Returned
                            </div>
                            <div *ngIf="model.StatusId === 5" class="alert alert-warning">
                                Passed Date
                            </div>
                            <div *ngIf="model.StatusId === 3" class="alert alert-danger">
                                Deleted
                            </div>
                        </div>
                    </div>
                </div>
            </div>
            <div *ngIf="model.PhotoUrl" class="row clearfix">
                <div class="col-sm-12">
                    <div class="form-float img-thumbnail" style="text-align:center">
                        <img src="{{ model.PhotoUrl }}" class="img-fluid img-rounded" style="width: 150px;" #imagePreview />
                    </div>
                </div>
            </div>
            <div class="row clearfix">
                <div class="col-sm-12">
                    <div class="form-float">
                            <div class="form-line">
                                <span class="form-span-label">Loan Id</span>
                            <label class="col-form-label-sm">{{ model.LoanId }}</label>
                            </div>
                    </div>
                </div>
            </div>
            <div class="row clearfix">
                <div class="col-sm-12">
                    <div class="form-float">
                        <div class="form-line">
                            <span class="form-span-label">Name</span>
                            <label class="col-form-label-sm">{{ model.Customer.Name }}</label>
                        </div>
                    </div>
                </div>
                <div class="col-sm-12">
                    <div class="form-float">
                        <div class="form-line">
                            <span class="form-span-label">Company</span>
                            <label class="col-form-label-sm">{{ model.Customer.Company }}</label>
                        </div>
                    </div>
                </div>
            </div>
            <div class="row clearfix">
                <div class="col-sm-12">
                    <div class="form-float">
                        <div class="form-line">
                            <span class="form-span-label">Address 1</span>
                            <div class="input-group">
                                <label class="col-form-label-sm">{{ model.Customer.Address1 }}</label>
                                <span class="form-label-symbol">
                                    <span class="fa fa-map-marker"></span>
                                </span>
                            </div>
                        </div>
                    </div>
                </div>
            </div>
            <div class="row clearfix">
                <div class="col-sm-6">
                    <div class="form-float">
                        <div class="form-line">
                            <span class="form-span-label">City</span>
                            <div class="input-group">
                                <label class="col-form-label-sm">{{ model.Customer.City }}</label>
                                <span class="form-label-symbol">
                                    <span class="fa fa-map-marker"></span>
                                </span>
                            </div>
                        </div>
                    </div>
                </div>
                <div class="col-sm-6">
                    <div class="form-float">
                        <div class="form-line">
                            <span class="form-span-label">Post Code</span>
                            <div class="input-group">
                                <label class="col-form-label-sm">{{ model.Customer.ZipCode }}</label>
                                <span class="form-label-symbol">
                                    <span class="fa fa-map-marker"></span>
                                </span>
                            </div>
                        </div>
                    </div>
                </div>
            </div>
            <div class="row clearfix">
                <div class="col-sm-12">
                    <div class="form-float">
                        <div class="form-line">
                            <span class="form-span-label">Email</span>
                            <div class="input-group">
                                <label class="col-form-label-sm">{{ model.Customer.Email }}</label>
                                <span class="form-label-symbol">
                                    <span class="fa fa-envelope-o"></span>
                                </span>
                            </div>
                        </div>
                    </div>
                </div>
            </div>
            <div class="row clearfix">
                <div class="col-sm-6">
                    <div class="form-float">
                        <div class="form-line">
                            <span class="form-span-label">Site</span>
                            <div class="input-group">
                                <label class="col-form-label-sm">{{ model.Site.Name }}</label>
                                <span class="form-label-symbol">
                                    <span class="fa fa-hospital-o"></span>
                                </span>
                            </div>

                        </div>
                    </div>
                </div>
                <div class="col-sm-6">
                    <div class="form-float">
                        <div class="form-line">
                            <span class="form-span-label">Mobile #</span>
                            <div class="input-group">
                                <label class="col-form-label-sm">{{ model.Customer.MobileNumber }}</label>
                                <span class="form-label-symbol">
                                    <span class="fa fa-phone"></span>
                                </span>
                            </div>
                        </div>
                    </div>
                </div>
            </div>
            <div class="row clearfix">
                <div class="col-sm-12">
                    <div class="form-float">
                        <div class="form-line">
                            <label class="col-form-label-sm">
                                <span class="form-span-label">Customer Type</span>
                                <div *ngIf="model.CustomerTypeId === 1">
                                    CUSTOMER
                                </div>
                                <div *ngIf="model.CustomerTypeId === 2">
                                    TENANT
                                </div>
                            </label>
                        </div>
                    <div>
                </div>
            </div>
            <div class="row clearfix">
                <div class="col-sm-6">
                    <div class="form-float">
                        <div class="form-line">
                            <span class="form-span-label">Type</span>
                            <label class="col-form-label-sm">{{ model.LoanType.Name }}</label>
                        </div>
                    </div>
                </div>
                <div class="col-sm-6">
                    <div class="form-float">
                        <div class="form-line">
                            <span class="form-span-label">Item Name</span>
                            <label class="col-form-label-sm">{{ model.ItemName }}</label>
                        </div>
                    </div>
                </div>
            </div>
            <div class="row clearfix">
                <div class="col-sm-6">
                    <div class="form-float">
                        <div class="form-line">
                            <span class="form-span-label">Start</span>
                            <div class="input-group date" id="datetimepicker1">
                                <label class="col-form-label-sm">{{ model.LoanedDate | date : 'MM-dd-yyyy, h:mm a' }}</label>
                                <span class="form-label-symbol">
                                    <span class="glyphicon glyphicon-calendar"></span>
                                </span>
                            </div>
                        </div>
                    </div>
                </div>
                <div class="col-sm-6">
                    <div class="form-float">
                        <div class="form-line">
                            <span class="form-span-label">Expected Return</span>
                            <div class="input-group date" id='datetimepicker1'>
                                <label class="col-form-label-sm">{{ model.ReturnedDate === '0001-01-01T00:00:00' ? 'N / A' : model.ReturnedDate | date : 'MM-dd-yyyy, h:mm a' }}</label>
                                <span class="form-label-symbol">
                                    <span class="glyphicon glyphicon-calendar"></span>
                                </span>
                            </div>
                        </div>
                    </div>
                </div>
            </div>
            <div class="row clearfix">
                <div class="col-sm-6">
                    <div class="form-float">
                        <div class="form-line">
                            <span class="form-span-label">Description</span>
                            <label class="col-form-label-sm">{{ model.Description }}</label>
                        </div>
                    </div>
                </div>
                <div *ngIf="model.ActualReturnedDate!=='0001-01-01T00:00:00'" class="col-sm-6">
                    <div class="form-float">
                        <div class="form-line">
                            <span class="form-span-label">Actual Returned Date</span>
                            <label class="col-form-label-sm">{{ model.ActualReturnedDate }}</label>
                        </div>
                    </div>
                </div>
            </div>

            <div class="row clearfix">
                <div class="col-sm-6">
                    <div class="form-float">
                        <div class="form-line">
                            <span class="form-span-label">Given By</span>
                            <label class="col-form-label-sm">{{ model.GivenBy === null ? '( )' : model.GivenBy }}</label>
                        </div>
                    </div>
                </div>
                <div class="col-sm-6">
                    <div class="form-float">
                        <div class="form-line">
                            <span class="form-span-label">Received By</span>
                            <label class="col-form-label-sm">{{ model.ReceivedBy }}</label>
                        </div>
                    </div>
                </div>
            </div>
            <br />
            <div class="row clearfix">
                <div class="col-sm-12">
                    <div class="form-float">
                        <label>Confirmation <i class="fa fa-bell-o" style="color:#0094ff"></i></label>
                        <ul id="confirmation-audit-list">
                            <li *ngIf="model.StatusId === 4">
                                <span>Email confirmation</span>
                                <span></span> was <span style="font-weight:bold;text-transform:uppercase">SENT</span> to
                                <span style="font-weight:bold;">{{ model.Customer.Email }}</span>
                                <span class="form-span-label-nb">{{ model.CreatedDate | date : 'MM-dd-yyyy HH:mm a' }}</span>
                            </li>
                            <div *ngIf="model.StatusId === 1 || model.ConfirmedDate !== '0001-01-01T00:00:00'">
                                <li>
                                    <span>Email confirmation</span>
                                    <span></span> was <span style="font-weight:bold;text-transform:uppercase">SENT</span> to
                                    <span style="font-weight:bold;">{{ model.Customer.Email }}</span>
                                    <span class="form-span-label-nb">{{ model.CreatedDate | date : 'MM-dd-yyyy HH:mm a' }}</span>
                                </li>
                                <li>
                                    <span>Email confirmation</span>
                                    <span></span> was <span style="font-weight:bold;text-transform:uppercase">RECEIVED AND CONFIRMED</span> by
                                    <span style="font-weight:bold;">{{ model.Customer.Email }}</span>
                                    <span class="form-span-label-nb">{{ model.ConfirmedDate !== '0001-01-01T00:00:00' ? model.ConfirmedDate : model.LastModifiedDate  | date : 'MM-dd-yyyy HH:mm a' }}</span>
                                </li>
                            </div>
                            <div *ngIf="model.StatusId === 2 || model.ActualReturnedDate !== '0001-01-01T00:00:00'">
                                <li>
                                    <span>Email confirmation</span>
                                    <span></span> was <span style="font-weight:bold;text-transform:uppercase">SENT</span> to
                                    <span style="font-weight:bold;">{{ model.Customer.Email }}</span>
                                    <span class="form-span-label-nb">{{ model.CreatedDate | date : 'MM-dd-yyyy HH:mm a' }}</span>
                                </li>
                                <li>
                                    <span>Email confirmation</span>
                                    <span></span> was <span style="font-weight:bold;text-transform:uppercase">RECEIVED AND CONFIRMED</span> by
                                    <span style="font-weight:bold;">{{ model.Customer.Email }}</span>
                                    <span class="form-span-label-nb">{{ model.ConfirmedDate !== '0001-01-01T00:00:00' ? model.ConfirmedDate : model.LastModifiedDate  | date : 'MM-dd-yyyy HH:mm a' }}</span>
                                </li>
                                <li>
                                    <span>Loan confirmation</span>
                                    <span></span> was <span style="font-weight:bold;text-transform:uppercase">SENT AND RETURNED</span> by
                                    <span style="font-weight:bold;">{{ model.Customer.Email }}</span>
                                    <span class="form-span-label-nb">{{ model.ActualReturnedDate !== '0001-01-01T00:00:00' ? model.ActualReturnedDate : 'N / A' | date : 'MM-dd-yyyy HH:mm a' }}</span>
                                </li>
                            </div>
                        </ul>
                    </div>
                </div>
            </div>
        </div>
    </div>
</div>